# reverseCurve by ThomThom

require 'sketchup.rb'


def showCurveStart
	Sketchup.active_model.active_entities.add_cpoint(Sketchup.active_model.selection[0].curve.vertices[0].position)
end


def reverseCurve
	# Get the Curve object from the selection
	curve = Sketchup.active_model.selection[0].curve
	# Reverse points in a curve
	points = curve.vertices.reverse.collect { |vertex| vertex.position }
	# Erase the original curve
	curve.parent.entities.erase_entities(curve.edges)
	# Rebuild it
	Sketchup.active_model.active_entities.add_curve(points)
end

#-----------------------------------------------------------------------------
file_loaded("reverseCurve.rb")


if( not file_loaded?("reverseCurve.rb") )
	menu=UI.menu("Plugins")
	menu.add_separator
	submenu=menu.add_submenu("Curve Direction")				
			submenu.add_item("Show Curve Start") {showCurveStart}
			submenu.add_item("Reverse Curve") {reverseCurve}
end
file_loaded("reverseCurve.rb")